"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class Method(object):
    """
    In GMS, Method is defined as how the sample was taken directly from
    the patient
    """

    ASPIRATE = "ASPIRATE"
    BIOPSY = "BIOPSY"
    NOT_APPLICABLE = "NOT_APPLICABLE"
    RESECTION = "RESECTION"
    SORTED_OTHER = "SORTED_OTHER"
    UNKNOWN = "UNKNOWN"
    UNSORTED = "UNSORTED"
    CD138_SORTED = "CD138_SORTED"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.4.0"
